package common

import (
	"context"
	"os/exec"
	"strings"
	"time"

	_log "github.com/open-io/oio-exporter/common/log"
)

var log = _log.Default

func Index(data []string, key string) int {
	for i, v := range data {
		if key == v {
			return i
		}
	}
	return -1
}

func Exec(command string, timeout time.Duration) ([]byte, error) {
	ctx, cancel := context.WithTimeout(context.Background(), timeout)
	defer cancel()

	cmds := strings.Split(command, " ")

	return exec.CommandContext(ctx, cmds[0], cmds[1:]...).CombinedOutput()
}
